﻿using FluentValidation;
using InternshipSystem.Api.Queries;
using InternshipSystem.Core;

namespace InternshipSystem.Api.Validators
{
    public class DocumentPublishRequestValidator : AbstractValidator<DocumentPublishRequest>
    {
        public DocumentPublishRequestValidator()
        {
            RuleFor(document => document.Scan).NotEmpty();
            RuleFor(document => document.Type).NotEmpty();
        }
    }
}